### Class

# Ggit Commit

since: 1.0

#### Description [src]

    class Ggit.Commit : Ggit.Object
    {
      /* No available fields */
    }

Represents a commit object.

Available since: 1.0

#### Hierarchy

#### Ancestors

- GgitObject
- GgitNative
- GgitObjectFactoryBase
- GObject

#### Instance methods

###### ggit_commit_amend

Amend an existing commit. If `update_ref` is not `NULL`, the given reference will be updated to point to the newly created commit. Use “HEAD” to update the HEAD of the current branch and make it point to this commit.

since: 1.0

###### ggit_commit_get_author

Gets the author of `commit`. The returned value must be free’d with g_object_unref().

since: 1.0

###### ggit_commit_get_committer

Gets the committer of `commit`. The returned value must be free’d with g_object_unref().

since: 1.0

###### ggit_commit_get_message

Gets the full message of `commit`. The resulting message is always encoded in UTF-8.

since: 1.0

###### ggit_commit_get_message_encoding

Get the encoding for the message of a commit, as a string representing a standard encoding name.

since: 1.0

###### ggit_commit_get_nth_ancestor

Gets the commit object that is the n-th generation ancestor of the named commit object, following only the first parents. Passing `0` to the `n` parameter returns another instance of `commit`.

since: 1.0

###### ggit_commit_get_parents

Gets the parents collection for `commit`.

since: 1.0

###### ggit_commit_get_subject

Gets the subject of `commit`. The subject of a commit is the first line of the commit message (as per convention). The resulting subject is always encoded in UTF-8.

since: 1.0

###### ggit_commit_get_tree

Get the tree object for `commit`.

since: 1.0

###### ggit_commit_get_tree_id

Get the `GgitOId` of the tree of `commit`. Note that this is more efficient than getting the tree object with `ggit_commit_get_tree()` because no additional files need to be read from disk.

since: 1.0

##### Methods inherited from GgitObject (2)

###### ggit_object_get_id

Gets the `GgitOId` of `object`.

since: 1.0

###### ggit_object_get_owner

Gets the `GgitRepository` that owns `object`.

since: 1.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from GgitNative (1)

###### Ggit.Native:native

No description available.

since: 1.0

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct GgitCommitClass {
      /* no available fields */
    }

The class structure for `GgitCommitClass`.